% Michael Vodhanel

% Purpose: Evaluates a given g funcition by component

% Input:
%	x: The input vector 

% Output:
%	y: The vector of component-wise output values

function y = g(x)

y = x .* exp( - x.^2 / 2 );