% Michael Vodhanel

% Purpose: Evaluates the derivative of a given g funcition by component

% Input:
%	x: The input vector 

% Output:
%	y: The vector of component-wise output values

function y = gp(x)

y = exp(- x.^2 / 2) - (x.^2) .* exp( -x.^2 / 2 );